globus_gsi_gssapi_activation(3)

NAME
globus_gsi_gssapi_activation - Activation

 - Module Activation.

SYNOPSIS

  Macros

#define GLOBUS_GSI_GSSAPI_MODULE

Detailed Description

Module Activation.

Globus GSI GSSAPI uses standard Globus module activation and deactivation. Before any Globus GSI GSSAPI functions are called, the following function should be called:

globus_module_activate(GLOBUS_GSI_GSSAPI_MODULE)

This function returns GLOBUS_SUCCESS if Globus GSI GSSAPI was successfully initialized, and you are therefore allowed to subsequently call Globus GSI GSSAPI functions. Otherwise, an error code is returned, and Globus GSI GSSAPI functions should not subsequently be called. This function may be called multiple times.

To deactivate Globus GSI GSSAPI, the following function should be called:

globus_module_deactivate(GLOBUS_GSI_GSSAPI_MODULE)

This function should be called once for each time Globus GSI GSSAPI was activated.

Note that it is not mandatory to call the above functions.

Macro Definition Documentation

  #define GLOBUS_GSI_GSSAPI_MODULE
Module descriptor

Author

Generated automatically by Doxygen for globus_gssapi_gsi from the source code.